Summary: SleepyCat.com's version 2.x of the Berkeley db
Name: db
Version: 2.4.14
Release: 1
Source: ftp://ftp.sleepycat.com/pub/db-2.4.14.tar.gz
Url: http://www.sleepycat.com
Group: Libraries
Packager: Peter C. Norton <spacey@pobox.com>
BuildRoot: /tmp/db-root
Copyright: Freely redistributeable (BSD License, w/ advertising clause, many copyright holders).

%description
The shared library and the tools to work with files created using the
2.x version of the widely used berkeley DB database.  This package
provides the tools needed to work with berkeley DB v2.* files.  It's
been compiled with egcs as both the C and C++ compiler.

The shared library *should* work. The real test is the java interface,
which requires the shared library.  However, the rest of the package
passes the "make test" test. I don't have jdk 1.1.* installed, so 
that proof will have to wait for a couple of days.
-PN

%package devel
Requires: db
Summary: Development headers and libs for berkeley db-2.x
Group: Development/Libraries

%description devel

SleepyCat's Berkeley DB is a library and API that gives you a fast,
convenient API to any data you may want to save on disk.  It comes
with interface to c, c++, and java.  The initial release of this rpm
may not have a working java interface, but will soon. I don't have jdk
1.1.* installed, so that proof will have to wait for a couple of days.

It's been compiled with egcs as both the C and C++ compiler.

The shared library *should* work. The real test is the java interface,
which requires the shared library.  However, the rest of the package
passes the "make test" test. 
-PN

%prep
%setup 

%build
cd build.unix
# Build the test so I can verify the libraries, however I don't want
# the test run as part of the rpm build.  I'll do that manually.
CC=egcs CFLAGS="${RPM_OPT_FLAGS} -fpic" \
  ../dist/configure --prefix=${RPM_BUILD_ROOT}/usr/local --enable-cxx --enable-test
make
# The following is to build a shared library version of the db library
mkdir tmp
cd tmp
ar xv ../libdb.a
egcs -shared -o libdb.so.${RPM_PACKAGE_VERSION} *.o
mv libdb.so.${RPM_PACKAGE_VERSION} ..

%install
cd build.unix
mkdir -p /tmp/db-root/usr/local
make install
cp libdb.so.${RPM_PACKAGE_VERSION} ${RPM_BUILD_ROOT}/usr/local/lib
sh -c "cd ${RPM_BUILD_ROOT}/usr/local/lib; rm libdb.so.2; ln -s libdb.so.${RPM_PACKAGE_VERSION} libdb.so.2"

%post
( 
if [ "xb$(grep -i '/usr/local/lib' /etc/ld.so.conf)" = "x" ]  ; then
  (cat /etc/ld.so.conf ; echo "/usr/local/lib" ) > /etc/ld.so.conf.db_inst;
  if mv /etc/ld.so.conf /etc/ld.so.conf.old ; then 
    mv /etc/ld.so.conf.db_inst 
    echo "Your /etc/ld.so.conf has been updated to include /usr/local/lib.  
    echo "The old copy is now in /etc/ld.so.conf.old.  Please check"
    echo "/etc/ld.so.conf to make sure that it is reasonable." 
  else 
    echo "There was a problem updating /etc/ld.so.conf.  Please add"
    echo "/usr/local/lib to it by hand"
  fi
fi
)
EOF
ldconfig

%files
%doc documents/hash.usenix.ps documents/libtp.usenix.ps LICENSE README 

/usr/local/lib/libdb.so.%{PACKAGE_VERSION}
/usr/local/lib/libdb.so.2
/usr/local/bin/db_archive
/usr/local/bin/db_checkpoint
/usr/local/bin/db_deadlock
/usr/local/bin/db_dump
/usr/local/bin/db_load
/usr/local/bin/db_printlog
/usr/local/bin/db_recover
/usr/local/bin/db_stat
/usr/local/man/man1/db_archive.1
/usr/local/man/man1/db_checkpoint.1
/usr/local/man/man1/db_deadlock.1
/usr/local/man/man1/db_dump.1
/usr/local/man/man1/db_load.1
/usr/local/man/man1/db_recover.1
/usr/local/man/man1/db_stat.1

%files devel
%doc examples examples_cxx

/usr/local/include/db.h
/usr/local/include/db_185.h
/usr/local/include/db_cxx.h
/usr/local/lib/libdb.a
/usr/local/man/cat1/db_archive.0
/usr/local/man/cat1/db_checkpoint.0
/usr/local/man/cat1/db_deadlock.0
/usr/local/man/cat1/db_dump.0
/usr/local/man/cat1/db_load.0
/usr/local/man/cat1/db_recover.0
/usr/local/man/cat1/db_stat.0
/usr/local/man/cat3/db_appinit.0
/usr/local/man/cat3/db_cursor.0
/usr/local/man/cat3/db_dbm.0
/usr/local/man/cat3/db_dbt.0
/usr/local/man/cat3/db_hsearch.0
/usr/local/man/cat3/db_internal.0
/usr/local/man/cat3/db_intro.0
/usr/local/man/cat3/db_lock.0
/usr/local/man/cat3/db_log.0
/usr/local/man/cat3/db_mpool.0
/usr/local/man/cat3/db_open.0
/usr/local/man/cat3/db_thread.0
/usr/local/man/cat3/db_txn.0
/usr/local/man/cat3/Db.0
/usr/local/man/cat3/DbEnv.0
/usr/local/man/cat3/DbException.0
/usr/local/man/cat3/DbInfo.0
/usr/local/man/cat3/DbLock.0
/usr/local/man/cat3/DbLockTab.0
/usr/local/man/cat3/DbLog.0
/usr/local/man/cat3/DbLsn.0
/usr/local/man/cat3/DbMpool.0
/usr/local/man/cat3/DbMpoolFile.0
/usr/local/man/cat3/DbTxn.0
/usr/local/man/cat3/DbTxnMgr.0
/usr/local/man/cat3/Dbc.0
/usr/local/man/cat3/Dbt.0
/usr/local/man/man3/db_appinit.3
/usr/local/man/man3/db_cursor.3
/usr/local/man/man3/db_dbm.3
/usr/local/man/man3/db_dbt.3
/usr/local/man/man3/db_hsearch.3
/usr/local/man/man3/db_internal.3
/usr/local/man/man3/db_intro.3
/usr/local/man/man3/db_lock.3
/usr/local/man/man3/db_log.3
/usr/local/man/man3/db_mpool.3
/usr/local/man/man3/db_open.3
/usr/local/man/man3/db_thread.3
/usr/local/man/man3/db_txn.3
/usr/local/man/man3/Db.3
/usr/local/man/man3/DbEnv.3
/usr/local/man/man3/DbException.3
/usr/local/man/man3/DbInfo.3
/usr/local/man/man3/DbLock.3
/usr/local/man/man3/DbLockTab.3
/usr/local/man/man3/DbLog.3
/usr/local/man/man3/DbLsn.3
/usr/local/man/man3/DbMpool.3
/usr/local/man/man3/DbMpoolFile.3
/usr/local/man/man3/DbTxn.3
/usr/local/man/man3/DbTxnMgr.3
/usr/local/man/man3/Dbc.3
/usr/local/man/man3/Dbt.3
